MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025984Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-25 15:522015-05-14 15:31
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025984: Visualization, OpenGl_Workspace::RedrawImmediate() - do not swap buffers within buffersNoSwap option
DescriptionRedrawImmediate() ignores the flag which leads to incorrect behavior.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025146closedbugmaster Open CASCADE Porting to Android 

-  Notes
(0038894)
git (administrator)
2015-03-25 15:54

Branch CR25984 has been created by kgv.

SHA-1: 90f89d1c2513415d964bccf314041913cce2e961


Detailed log of new commits:

Author: kgv
Date: Wed Mar 25 15:54:08 2015 +0300

    0025984: Visualization, OpenGl_Workspace::RedrawImmediate() - do not swap buffers within buffersNoSwap option
(0038895)
kgv (developer)
2015-03-25 15:55

Please check compilation, regression testing is not needed (not covered by existing tests).
(0038996)
apv (tester)
2015-03-30 16:49

Dear BugMaster,

Branch CR25984 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 90f89d1c2513415d964bccf314041913cce2e961

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

 Testing cases:
 Not needed
(0039455)
git (administrator)
2015-04-09 09:49

Branch CR25984 has been deleted by kgv.

SHA-1: 90f89d1c2513415d964bccf314041913cce2e961

- Related Changesets
occt: master ef0bfc15
Timestamp: 2015-03-25 12:54:08
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025984: Visualization, OpenGl_Workspace::RedrawImmediate() - do not swap buffers within buffersNoSwap option
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-25 15:52 kgv New Issue
2015-03-25 15:52 kgv Assigned To => kgv
2015-03-25 15:52 kgv Severity minor => trivial
2015-03-25 15:52 kgv Status new => assigned
2015-03-25 15:54 git Note Added: 0038894
2015-03-25 15:55 kgv Note Added: 0038895
2015-03-25 15:55 kgv Assigned To kgv => bugmaster
2015-03-25 15:55 kgv Status assigned => resolved
2015-03-25 15:55 kgv Status resolved => reviewed
2015-03-25 15:56 kgv Relationship added child of 0025146
2015-03-25 15:57 kgv Relationship added child of 0025897
2015-03-25 16:29 mkv Assigned To bugmaster => apv
2015-03-30 16:47 apv Test case number => Not needed
2015-03-30 16:49 apv Note Added: 0038996
2015-03-30 16:49 apv Assigned To apv => bugmaster
2015-03-30 16:49 apv Status reviewed => tested
2015-04-07 16:08 bugmaster Changeset attached => occt master ef0bfc15
2015-04-07 16:08 bugmaster Status tested => verified
2015-04-07 16:08 bugmaster Resolution open => fixed
2015-04-09 09:49 git Note Added: 0039455
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker